> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Command Versions

> List historical versions for a command.

Requires READ permission on ANALYSIS resources.



## OpenAPI

````yaml https://analyst.heyhumm.ai/api/openapi.json get /commands/{command_id}/history
openapi: 3.1.0
info:
  title: Analyst API
  description: API for the Analyst service with proper organization-scoped permissions
  version: 1.0.0
servers:
  - url: https://analyst.heyhumm.ai
security: []
paths:
  /commands/{command_id}/history:
    get:
      tags:
        - commands
      summary: List Command Versions
      description: |-
        List historical versions for a command.

        Requires READ permission on ANALYSIS resources.
      operationId: list_command_versions_commands__command_id__history_get
      parameters:
        - name: command_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Command ID
            title: Command Id
          description: Command ID
        - name: organization_id
          in: query
          required: true
          schema:
            type: string
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CommandVersionResponse'
                title: >-
                  Response List Command Versions Commands  Command Id  History
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CommandVersionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        command_id:
          type: string
          format: uuid
          title: Command Id
        version:
          type: integer
          title: Version
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        content:
          type: string
          title: Content
        changed_by_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Changed By User Id
        change_type:
          $ref: '#/components/schemas/CommandVersionChangeType'
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - command_id
        - version
        - name
        - content
        - change_type
        - created_at
      title: CommandVersionResponse
      description: Response model for a command version.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CommandVersionChangeType:
      type: string
      enum:
        - created
        - updated
        - generated
        - restored
      title: CommandVersionChangeType
      description: Type of change captured in command history.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````